- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxIteratorSrc< Type > Class Template Reference

Search for all occurrences

## Detailed Description

### template<class Type>
class FbxIteratorSrc< Type >

A utility class for iterating over source objects that connect to property (FbxProperty) or object (FbxObject).

The class is a wrapper of FbxIteratorSrcBase with template.

Definition at line 1355 of file fbxobject.h.

`#include <fbxobject.h>`

Inheritance diagram for FbxIteratorSrc< Type >:
[legend]

List of all members.

## Public Member Functions
| FbxIteratorSrc (FbxObject *pObject)
| Constructor.
| FbxIteratorSrc (FbxProperty &pProperty)
| Constructor.
Type * | GetFirst ()
| Get the first source object that connects to the property or object.
Type * | GetNext ()
| Get next source object that connects to the property or object.
Type * | GetSafeNext ()
| Get next source object that connects to the property or object.
Type * | GetLast ()
| Get the last source object that connects to the property or object.
Type * | GetPrevious ()
| Get previous source object that connects to the property or object.
Type * | GetSafePrevious ()
| Get previous source object that connects to the property or object.

## Constructor & Destructor Documentation

FbxIteratorSrc | ( | FbxObject * | pObject | ) | `[inline]`

Constructor.

Parameters:

  pObject | FBX object. The iterator will iterate source objects that connect to it.

Definition at line 1362 of file fbxobject.h.

    : FbxIteratorSrcBase(pObject,Type::ClassId) {}

FbxIteratorSrc | ( | FbxProperty & | pProperty | ) | `[inline]`

Constructor.

Parameters:

  pProperty | Property object. The iterator will iterate source objects that connect to it.

Definition at line 1368 of file fbxobject.h.

    : FbxIteratorSrcBase(pProperty,Type::ClassId) {}

## Member Function Documentation

Type* GetFirst | ( |  | ) | `[inline]`

Search for all occurrences

Get the first source object that connects to the property or object.

Returns:
  The first source object.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1374 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetFirst(); }

Type* GetNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next source object that connects to the property or object.

Returns:
  The next source object. If there are no more objects, return NULL.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1380 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetNext(); }

Type* GetSafeNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next source object that connects to the property or object.

Returns:
  The next source object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1387 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetSafeNext(); }

Type* GetLast | ( |  | ) | `[inline]`

Search for all occurrences

Get the last source object that connects to the property or object.

Returns:
  The last source object.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1393 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetLast(); }

Type* GetPrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous source object that connects to the property or object.

Returns:
  The previous source object. If there are no more objects, return NULL.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1400 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetPrevious(); }

Type* GetSafePrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous source object that connects to the property or object.

Returns:
  The previous source object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds. If the iterate index is out of bounds, the last source object is returned.

Reimplemented from FbxIteratorSrcBase.

Definition at line 1408 of file fbxobject.h.

    { return (Type*)FbxIteratorSrcBase::GetSafePrevious(); }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxobject.h